# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/SEACAS clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################


# Include guard
if (SEACAS_CONFIG_INCLUDED)
  return()
endif()
set(SEACAS_CONFIG_INCLUDED TRUE)

# Make sure CMAKE_CURRENT_LIST_DIR is usable
if (NOT DEFINED CMAKE_CURRENT_LIST_DIR)
  get_filename_component(_THIS_SCRIPT_PATH ${CMAKE_CURRENT_LIST_FILE} PATH)
  set(CMAKE_CURRENT_LIST_DIR ${_THIS_SCRIPT_PATH})
endif()


## ---------------------------------------------------------------------------
## Compilers used by Trilinos/SEACAS build
## ---------------------------------------------------------------------------

set(SEACAS_CXX_COMPILER "/usr/lib/hpc/gnu7/mpi/mvapich2/2.3.4/bin/mpicxx")

set(SEACAS_C_COMPILER "/usr/lib/hpc/gnu7/mpi/mvapich2/2.3.4/bin/mpicc")

set(SEACAS_Fortran_COMPILER "/usr/lib/hpc/gnu7/mpi/mvapich2/2.3.4/bin/mpif90")
# Deprecated!
set(SEACAS_FORTRAN_COMPILER "/usr/lib/hpc/gnu7/mpi/mvapich2/2.3.4/bin/mpif90") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/SEACAS build
## ---------------------------------------------------------------------------

## Give the build type
set(SEACAS_CMAKE_BUILD_TYPE "RelWithDebInfo")

## Set compiler flags, including those determined by build type
set(SEACAS_CXX_FLAGS [[-fmessage-length=0 -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DNDEBUG -fopenmp  ]])

set(SEACAS_C_FLAGS [[  -fmessage-length=0 -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DNDEBUG -fopenmp ]])

set(SEACAS_Fortran_FLAGS [[ ]])
# Deprecated
set(SEACAS_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(SEACAS_EXTRA_LD_FLAGS [[-lgfortran]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(SEACAS_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/lib/hpc/gnu7/mvapich2/trilinos/13.2.0/lib64")
set(SEACAS_BUILD_SHARED_LIBS "ON")

set(SEACAS_LINKER /usr/bin/ld)
set(SEACAS_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(SEACAS_INSTALL_DIR "/usr/lib/hpc/gnu7/mvapich2/trilinos/13.2.0")

## List of package include dirs
set(SEACAS_INCLUDE_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../include")

## List of package library paths
set(SEACAS_LIBRARY_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../lib64")

## List of package libraries
set(SEACAS_LIBRARIES "exodus")

## Specification of directories for TPL headers
set(SEACAS_TPL_INCLUDE_DIRS "/usr/lib/hpc/gnu7/mvapich2/netcdf/4.7.4/include;/usr/lib/hpc/gnu7/mvapich2/hdf5/1.10.7/include")

## Specification of directories for TPL libraries
set(SEACAS_TPL_LIBRARY_DIRS "")

## List of required TPLs
set(SEACAS_TPL_LIBRARIES "/usr/lib/hpc/gnu7/mvapich2/netcdf/4.7.4/lib64/libnetcdf.so;/usr/lib/hpc/gnu7/mvapich2/hdf5/1.10.7/lib64/libhdf5.so")

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(SEACAS_MPI_LIBRARIES "")
set(SEACAS_MPI_LIBRARY_DIRS "")
set(SEACAS_MPI_INCLUDE_DIRS "")
set(SEACAS_MPI_EXEC "/usr/lib/hpc/gnu7/mpi/mvapich2/2.3.4/bin/mpiexec")
set(SEACAS_MPI_EXEC_MAX_NUMPROCS "4")
set(SEACAS_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

## The packages enabled for this project
set(SEACAS_PACKAGE_LIST "SEACASExodus")

## The TPLs enabled for this project
set(SEACAS_TPL_LIST "Netcdf;HDF5;MPI;Pthread")


# Include configuration of dependent packages
include("${CMAKE_CURRENT_LIST_DIR}/../SEACASExodus/SEACASExodusConfig.cmake")

